Unity Extensibility - Works in 1.2 (need help in 2.0)

Nov 22, 2009 at 1:58 AM

Hello,

I thought I'd take a look porting the Unity AutoMocker I wrote for 1.2 to 2.0 since I heard at the latest PnP Summit that Unity extensibility has changed quite a bit.

Basically (I didn't change anything from my 1.2 version) and although it all compiles and appears to execute the PreBuildup correctly, the created Mocks are not being injected into the requesting object.

I would appreciate it if you took a look at how my extensibility is working (not working) for Unity 2.0.

You can download the code for both at.

http://code.google.com/p/elegantcode/source/browse/#svn/trunk/Coders/JasonJarrett/UnityAutoMocker%3Fstate%3Dclosed

Thanks,

Jason